# Features

- [Icons](https://docs.novaflowos.com/start/kde-developer-platform/readme/features/_index.md): Deliver your application with icons.
- [Configuration](https://docs.novaflowos.com/start/kde-developer-platform/readme/features/configuration.md)
- [The KConfig Framework](https://docs.novaflowos.com/start/kde-developer-platform/readme/features/configuration/_index.md): Add configuration options in your application and Plasma with KConfig and KConfigXT.
- [Introduction to KConfig](https://docs.novaflowos.com/start/kde-developer-platform/readme/features/configuration/introduction.md): An overview of the KConfig classes and how to use them in your application code
- [Using KConfig XT](https://docs.novaflowos.com/start/kde-developer-platform/readme/features/configuration/kconfig_xt.md): This tutorial introduces the main concepts of the KConfigXT configuration framework and shows how to efficiently use it in applications.
- [KDE Frameworks 6 porting guide](https://docs.novaflowos.com/start/kde-developer-platform/readme/features/configuration/porting_kf6.md): Porting guide for KDE Config Modules to Qt6/KF6
- [Settings module (KCM) development](https://docs.novaflowos.com/start/kde-developer-platform/readme/features/configuration/kcm.md): This tutorial will help you create a Plasma configuration module.
- [KConfigDialog](https://docs.novaflowos.com/start/kde-developer-platform/readme/features/configuration/configdialog.md): The standard KDE QtWidgets configuration dialog
- [D-Bus](https://docs.novaflowos.com/start/kde-developer-platform/readme/features/d-bus.md): Inter-Process communication using D-Bus
- [What is D-Bus practically useful for?](https://docs.novaflowos.com/start/kde-developer-platform/readme/features/d-bus/_index.md): Inter-Process communication using D-Bus
- [Introduction to D-Bus](https://docs.novaflowos.com/start/kde-developer-platform/readme/features/d-bus/introduction_to_dbus.md): An introduction to the core concepts of D-Bus from an application developer's perspective.
- [Accessing D-Bus interfaces](https://docs.novaflowos.com/start/kde-developer-platform/readme/features/d-bus/accessing_dbus_interfaces.md): A step-by-step guide to calling D-Bus methods and connecting to D-Bus signals using QtDBus.
- [Intermediate D-Bus](https://docs.novaflowos.com/start/kde-developer-platform/readme/features/d-bus/intermediate_dbus.md): Tips to make use of QtDBus when faced with problematic real-world interfaces.
- [Creating D-Bus interfaces](https://docs.novaflowos.com/start/kde-developer-platform/readme/features/d-bus/creating_dbus_interfaces.md): Learn how to expose functionality in your application by creating and using custom D-Bus interfaces. Covers generating the XML descriptions, instantiating interfaces at run time and setting up the bui
- [Using custom types with D-Bus](https://docs.novaflowos.com/start/kde-developer-platform/readme/features/d-bus/using_custom_types_with_dbus.md): Using custom types as arguments of D-Bus method calls.
- [D-Bus autostart services](https://docs.novaflowos.com/start/kde-developer-platform/readme/features/d-bus/dbus_autostart_services.md): Turn your application into a D-Bus autostart service with this tutorial. This D-Bus feature, also known as "D-Bus service activation", will ensure that even when your application isn't running that D-
- [Create your own mouse cursor theme](https://docs.novaflowos.com/start/kde-developer-platform/readme/features/_index-1.md): Learn how to create custom mouse cursors.
- [Session management](https://docs.novaflowos.com/start/kde-developer-platform/readme/features/_index-2.md): Make your application aware of X sessions
- [Archives](https://docs.novaflowos.com/start/kde-developer-platform/readme/features/_index-3.md): KArchive, the convenient way to read and write to archives.
- [Desktop file](https://docs.novaflowos.com/start/kde-developer-platform/readme/features/_index-4.md): Let your application show up in the Launcher and in application menus.
- [KAuth](https://docs.novaflowos.com/start/kde-developer-platform/readme/features/kauth.md)
- [Privilege Escalation](https://docs.novaflowos.com/start/kde-developer-platform/readme/features/kauth/_index.md): KAuth, privilege elevation for your program
- [Using actions in your applications](https://docs.novaflowos.com/start/kde-developer-platform/readme/features/kauth/using_kauth.md)
- [KIdleTime](https://docs.novaflowos.com/start/kde-developer-platform/readme/features/_index-5.md): Detect and handle system idling
- [Akonadi: personal information management](https://docs.novaflowos.com/start/kde-developer-platform/readme/features/akonadi.md): Akonadi and the KDE PIM libraries allows you to manage personal information coming from multiple sources efficiently.
- [Debugging Akonadi Resources](https://docs.novaflowos.com/start/kde-developer-platform/readme/features/akonadi/debugging_akonadi.md)
- [Using Akonadi in applications](https://docs.novaflowos.com/start/kde-developer-platform/readme/features/akonadi/using_akonadi_applications.md): Displaying and modifying data provided by Akonadi
- [Concurrent programming](https://docs.novaflowos.com/start/kde-developer-platform/readme/features/_index-6.md): Concurrent programming using the ThreadWeaver framework
- [Solid](https://docs.novaflowos.com/start/kde-developer-platform/readme/features/_index-7.md): Hardware abstraction
- [Sonnet](https://docs.novaflowos.com/start/kde-developer-platform/readme/features/_index-8.md): Spellchecking made easy


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.novaflowos.com/start/kde-developer-platform/readme/features.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
